package de.avatic.lcc.model.bulk;

import de.avatic.lcc.dto.bulk.BulkFileType;
import de.avatic.lcc.dto.bulk.BulkOperationState;
import de.avatic.lcc.dto.bulk.BulkProcessingType;

import java.time.LocalDateTime;

public class BulkOperation {

    private Integer id;

    private Integer userId;

    private Integer validityPeriodId;

    private BulkProcessingType processingType;

    private BulkFileType fileType;

    private BulkOperationState processState;

    private byte[] file;

    private LocalDateTime createdAt;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public BulkFileType getFileType() {
        return fileType;
    }

    public void setFileType(BulkFileType fileType) {
        this.fileType = fileType;
    }

    public BulkOperationState getProcessState() {
        return processState;
    }

    public void setProcessState(BulkOperationState processState) {
        this.processState = processState;
    }

    public byte[] getFile() {
        return file;
    }

    public void setFile(byte[] file) {
        this.file = file;
    }

    public LocalDateTime getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(LocalDateTime createdAt) {
        this.createdAt = createdAt;
    }

    public BulkProcessingType getProcessingType() {
        return processingType;
    }

    public void setProcessingType(BulkProcessingType processingType) {
        this.processingType = processingType;
    }

    public Integer getValidityPeriodId() {
        return validityPeriodId;
    }

    public void setValidityPeriodId(Integer validityPeriodId) {
        this.validityPeriodId = validityPeriodId;
    }
}
